> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get table columns

> Get a tables columns by its ID.



## OpenAPI

````yaml GET /v1/table/{table_uuid}/columns
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/{table_uuid}/columns:
    get:
      tags:
        - Table
      summary: Get table columns
      description: Get a tables columns by its ID.
      operationId: Get_table_columns_v1_table__table_uuid__columns_get
      parameters:
        - name: table_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The UUID of the table to retrieve
            title: Table Uuid
          description: The UUID of the table to retrieve
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Table retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Column'
                title: Response Get Table Columns V1 Table  Table Uuid  Columns Get
              example:
                - identifier: 42902e11-fa09-4abd-a627-77c07fc40cde
                  internal_name: de7ed8b2f4f34991b32f597877f7e97f
                  additional_intenal_name: column1
                  name: Column1
                  type_of_value: text
                  data_processor_id: 1
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail: Not allowed
        '404':
          description: Table not found
          content:
            application/json:
              example:
                detail: Table not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Column:
      properties:
        identifier:
          type: string
          title: Identifier
        internal_name:
          type: string
          title: Internal Name
        additional_intenal_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Additional Intenal Name
        name:
          type: string
          title: Name
        type_of_value:
          type: string
          title: Type Of Value
        data_processor_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Processor Id
      type: object
      required:
        - identifier
        - internal_name
        - name
        - type_of_value
        - data_processor_id
      title: Column
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````